Bug 137605 - Remotely mounting CDROM causes umount problems.
Remotely mounting CDROM causes umount problems.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 15:10 EDT by Ryan Daly
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 16:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Daly 2004-10-29 15:10:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10.1

Description of problem:
Remotely NFS mounting a CD-ROM will cause the local file system to
remain busy, even after the remote client has unmounted the file system.

: linux13 137#; eject /cdrom1
umount: /cdrom1: device is busy
eject: unmount of `/dev/cdrom1' failed

The workaround is doing the following:

: linux13 138#; exportfs -ua ; eject /cdrom1 ; exportfs -a
: linux13 139#; 

This works every time.

Version-Release number of selected component (if applicable):
mount-2.11y-31.1, eject-2.0.13-2

How reproducible:
Always

Steps to Reproduce:
1. On local system: Mount CD-ROM.
2. On local system: Export file system so a client can mount it.
3. On client system: Mount the CD-ROM.
4. On client system: Unmount the CD-ROM.
5. On local system: Attempt to eject, or unmount CD-ROM
6. On local system: Receive "device is busy" and run exportfs -ua,
then eject to really eject CD-ROM.

Expected Results:  Expect that exporting a file system shouldn't
prevent it from being unmounted locally.

Additional info:
Comment 1 Elliot Lee 2004-11-19 16:10:04 EST
This is expected behaviour. Exporting a filesystem is a way of putting
that file system in use, and you can't unmount a filesystem that is
currently in use.

Note You need to log in before you can comment on or make changes to this bug.